nameOverride: ""
fullnameOverride: ""
imagePullSecrets: []

checkCache:
  image:
    repository: registry.gitlab.com/drupal-infrastructure/package-signing/check-cache
    pullPolicy: IfNotPresent
    # Overrides the image tag whose default is the chart appVersion.
    tag: ""
  schedule: "*/5 * * * *"

  # Shared volume with static hosting.
  # - For TUF repo, use metadata subpath.
  # - For packagist-signed, no subpath.
  webrootVolume:
    name: ""
    subPath: ""

  # Fastly account token for PURGE requests.
  fastlyToken:
    secretName: fastly-secret
    secretKey: FASTLY_TOKEN

  env: []
    # URL to send purge requests to, include trailing /.
    # - name: SERVICE_URL
    #   value: https://example.com/

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # Automatically mount a ServiceAccount's API credentials?
  automount: true
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

podAnnotations: {}
podLabels: {}

podSecurityContext: {}
  # fsGroup: 2000

# Default security context
securityContext:
  readOnlyRootFilesystem: true
  capabilities:
    drop:
      - ALL
  runAsNonRoot: true
  privileged: false
  runAsUser: 1001
  runAsGroup: 1001

resources: {}

nodeSelector: {}

tolerations: []

affinity: {}
